"use strict";
var tslib_1 = require("tslib");
var core_1 = require("@angular/core");
var HighlighterDirective = (function () {
    function HighlighterDirective(eltRef) {
        this.eltRef = eltRef;
    }
    HighlighterDirective.prototype.ngAfterViewInit = function () {
        this.eltRef.nativeElement.innerHTML = Prism.highlight(this.content, Prism.languages[this.language]);
    };
    return HighlighterDirective;
}());
tslib_1.__decorate([
    core_1.Input(),
    tslib_1.__metadata("design:type", String)
], HighlighterDirective.prototype, "language", void 0);
tslib_1.__decorate([
    core_1.Input(),
    tslib_1.__metadata("design:type", String)
], HighlighterDirective.prototype, "content", void 0);
HighlighterDirective = tslib_1.__decorate([
    core_1.Directive({
        selector: '[highlighter]'
    }),
    tslib_1.__metadata("design:paramtypes", [core_1.ElementRef])
], HighlighterDirective);
exports.HighlighterDirective = HighlighterDirective;
//# sourceMappingURL=highlighter.directive.js.map